local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ModCallbackCustom = require("enums.ModCallbackCustom")
local ModCallbackCustom = ____ModCallbackCustom.ModCallbackCustom
local ____render = require("functions.render")
local renderTextOnEntity = ____render.renderTextOnEntity
local ____Feature = require("classes.private.Feature")
local Feature = ____Feature.Feature
local ____utils = require("classes.features.other.debugDisplay.utils")
local defaultGridEntityDisplayCallback = ____utils.defaultGridEntityDisplayCallback
____exports.DebugDisplayDoor = __TS__Class()
local DebugDisplayDoor = ____exports.DebugDisplayDoor
DebugDisplayDoor.name = "DebugDisplayDoor"
__TS__ClassExtends(DebugDisplayDoor, Feature)
function DebugDisplayDoor.prototype.____constructor(self)
    Feature.prototype.____constructor(self)
    self.textCallback = defaultGridEntityDisplayCallback
    self.postDoorRender = function(____, door)
        local text = self:textCallback(door)
        renderTextOnEntity(nil, door, text)
    end
    self.customCallbacksUsed = {{ModCallbackCustom.POST_DOOR_RENDER, self.postDoorRender}}
end
return ____exports
